/* Copyright (C) 2007 con terra GmbH (http://www.conterra.de)
 * All rights reserved
 *
 * $Id: ChartLabels.java,v 1.1 2007/12/10 13:57:13 drewnak Exp $
 *
 * created by:      drewnak
 * created at :     10.12.2007
 * created at :     11:48:39
 *
 * modified by:     $Author: drewnak $
 * modified at:     $Date: 2007/12/10 13:57:13 $
 */
package de.intevation.gnv.chart;

/**
 * @author drewnak
 * @author Tim Englich <tim.englich@intevation.de> Changes and codecleanup
 * @author Ingo Weinzierl <ingo.weinzierl@intevation.de>
 */
public class ChartLabels {
    /**
     * 
     */
    private String title;

    /**
     *
     */
    private String subtitle;

    /**
     * 
     */
    private String domainAxisLabel;

    /**
     *
     */
    private String rangeAxisLabel;

    /**
     *
     */
    private String parameterName;


    /**
     * Constructor
     * 
     * @param title
     * @param domainAxisLabel
     */
    public ChartLabels(String title, String subtitle, String domainAxisLabel) {
        this(title, subtitle, domainAxisLabel, null);
    }

    public ChartLabels(
        String title,
        String subtitle,
        String domainAxisLabel,
        String rangeAxisLabel
    ) {
        this(title, subtitle, domainAxisLabel, rangeAxisLabel, null);
    }


    public ChartLabels(
        String title,
        String subtitle,
        String domainAxisLabel,
        String rangeAxisLabel,
        String parameterName
    ) {
        this.title           = title;
        this.subtitle        = subtitle;
        this.domainAxisLabel = domainAxisLabel;
        this.rangeAxisLabel  = rangeAxisLabel;
        this.parameterName   = parameterName;
    }

    /**
     * @return the title
     */
    public String getTitle() {
        return this.title;
    }


    /**
     * @return the subtitle
     */
    public String getSubtitle() {
        return subtitle;
    }

    /**
     * @return the timeAxisLabel
     */
    public String getDomainAxisLabel() {
        return this.domainAxisLabel;
    }


    public String getRangeAxisLabel() {
        return this.rangeAxisLabel;
    }


    public String getParameterName() {
        return this.parameterName;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
